import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerStoragePolicyCreateResultInt(_base.BaseAPIResultInt):
    pass


class CloudbrokerStoragePolicyCreateProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def create(
        self,
        *,
        name: str,
        sep_pools: list[_nested.SEPPoolsAPIParamsNM],
        description: str | None = None,
        iops_limit: int = 2000,
    ) -> CloudbrokerStoragePolicyCreateResultInt:
        ...
